| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Enumerations
bar.h File Reference

## Classes

class | wxRibbonBarEvent
| Event used to indicate various actions relating to a wxRibbonBar. More...
class | wxRibbonBar
| Top-level control in a ribbon user interface. More...

## Enumerations

enum | wxRibbonDisplayMode { wxRIBBON_BAR_PINNED, wxRIBBON_BAR_MINIMIZED, wxRIBBON_BAR_EXPANDED }
| The possible display modes of the panel area of a wxRibbonBar widget. More...

## Enumeration Type Documentation

enum wxRibbonDisplayMode

The possible display modes of the panel area of a wxRibbonBar widget.

See Also
  wxRibbonBar::ShowPanels()
  wxRibbonBar::GetDisplayMode()

Since
  2.9.5

Enumerator:

  wxRIBBON_BAR_PINNED | The panel area is visible and pinned: it remains visible when the ribbon bar loses the focus.
  wxRIBBON_BAR_MINIMIZED | The panel area is hidden: only the pages tabs remain visible.
  wxRIBBON_BAR_EXPANDED | The panel area is visible, but not pinned: it minimizes as soon as the focus is lost.